Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Class BasicArray.IndexEntry

    java.lang.Object
      org.infinispan.schematic.internal.document.BasicArray.IndexEntry

All Implemented Interfaces:
  Comparable<BasicArray.IndexEntry>

Enclosing class:
  BasicArray

    @Immutable
    protected static final class BasicArray.IndexEntry

extends Object
implements Comparable<BasicArray.IndexEntry>

Field Summary
`protected int` | `index`
`protected Object` | `value`

Constructor Summary
`protected` | `BasicArray.IndexEntry(int index, Object value)`

Method Summary
`int` | `compareTo(BasicArray.IndexEntry that)`
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### index

    protected final int index

### value

    protected final Object value

Constructor Detail

### BasicArray.IndexEntry

    protected BasicArray.IndexEntry(int index,
                                    Object value)

Method Detail

### compareTo

    public int compareTo(BasicArray.IndexEntry that)

  Specified by:
    `compareTo` in interface `Comparable<BasicArray.IndexEntry>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.